Subject: Re: bug#64270: 30.0.50; Font update for no toolkit menu

From: Po Lu <[email-masked]>
Date: Tue, 27 Jun 2023 15:48:29 +0800

Manuel Giraud <[email-masked]> writes:

> Po Lu <[email-masked]> writes:
>
>> Manuel Giraud <[email-masked]> writes:
>>
>>> I thought that the font's XLFD string would be a good candidate to pass
>>> this information since it should be understood by XLoadQueryFont.  But
>>> unfortunately, the XLFD returned by font_unparse_xlfd are not.
>>>
>>> For instance, XLoadQueryFont can understand
>>> "-misc-fixed-medium-r-normal-*-22-*-*-*-*-*-*-*" but not
>>> "-misc-fixed-regular-r-normal-*-22-*-*-*-*-*-*-*".  Do you think I need
>>> a function to « normalize » the XLFD returned by font_unparse_xlfd?  Or
>>> maybe I'm missing something?
>>
>> I don't understand why you're trying to ``normalize'' the second invalid
>> XLFD: RELATIVE_SETWIDTH can't be `regular'.
>
> Ah then I have a bug in Emacs' XLFD generation on my system.  Here is
> what I get with 'C-u C-x =':
>
>     ftcrhb:-Misc-Fixed-regular-normal-normal-*-18-*-*-*-c-90-iso10646-1 (#x59)

``XLFD'' strings generated by Emacs aren't guaranteed to be
X11-compatible; Emacs is only designed to read them.  I don't remember
whether or not this is intentional, so you will have to ask Kenichi
Handa, but I have a sinking suspicion that he is not around anymore...